libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
pqxx::tablestream Class Reference

`#include <tablestream.hxx>`

Inheritance diagram for pqxx::tablestream:

## Public Member Functions

| tablestream (transaction_base &Trans, const std::string &Null=std::string())
virtual | ~tablestream ()=0 throw ()
virtual void | complete ()=0
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Protected Member Functions

const std::string & | NullStr () const
bool | is_finished () const throw ()
void | base_close ()
Protected Member Functions inherited from pqxx::internal::transactionfocus
void | register_me ()
void | unregister_me () throw ()
void | reg_pending_error (const std::string &) throw ()
bool | registered () const throw ()

## Static Protected Member Functions

template<typename ITER >
static std::string | columnlist (ITER colbegin, ITER colend)

## Additional Inherited Members

Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_Trans

## Detailed Description

Deprecated:
  Base class for obsolete tablereader/tablewriter classes.

## Constructor & Destructor Documentation

pqxx::tablestream::tablestream | ( | transaction_base & | Trans,
|  | const std::string & | Null = `std::string()`
| ) |  |

explicit

References tablestream().

Referenced by tablestream().

pqxx::tablestream::~tablestream | ( |  | ) | throw ()

pure virtual

## Member Function Documentation

void pqxx::tablestream::base_close | ( |  | ) |

protected

template<typename ITER >

std::string pqxx::tablestream::columnlist | ( | ITER | colbegin,
|  | ITER | colend
| ) |  |

static protected

References pqxx::separated_list().

Referenced by pqxx::tablereader::tablereader(), and pqxx::tablewriter::tablewriter().

virtual void pqxx::tablestream::complete | ( |  | ) |

pure virtual

Implemented in pqxx::tablewriter, and pqxx::tablereader.

bool pqxx::tablestream::is_finished | ( |  | ) | const throw ()

protected

const std::string& pqxx::tablestream::NullStr | ( |  | ) | const

protected

Referenced by pqxx::tablewriter::generate().

The documentation for this class was generated from the following files:

- tablestream.hxx
- tablestream.cxx